%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		hitori
Version:	3.16.2
Release:	1
Summary:	Logic puzzle game for GNOME

Group:		Games/Other
# The executable is licensed under GPLv3+, while the user manual is CC-BY-SA.
License:	GPLv3+ and CC-BY-SA
URL:		http://live.gnome.org/Hitori
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	itstool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool

%description
A small application written to allow one to play the Hitori puzzle game,
which is similar in theme to more popular puzzles such as Sudoku.

It has full support for playing the game (i.e. it checks all three rules are
satisfied). It has undo/redo support, can give hints, and allows for cells
to be tagged with one of two different tags, to aid in solving the puzzle.
It has support for anything from 5×5 to 10×10 grids.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make


%install
%makeinstall_std

%find_lang %{name} --with-gnome

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS MAINTAINERS NEWS README COPYING COPYING-DOCS
%{_bindir}/%{name}
%{_datadir}/appdata/hitori.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.hitori.gschema.xml
%{_datadir}/icons/*/*/*/*

%changelog

* Tue Feb 02 2016 Tigro <ashejn@gmail.com> 3.16.2-1
- (9bcefac) update to 3.16.2


